%global momorel 2

Summary: A high-dynamic-range image file library
Name: OpenEXR
Version: 1.2.2
Release: %{momorel}m
License: Modified BSD
URL: http://www.openexr.org/
Group: System Environment/Libraries
%NoSource 0 http://savannah.nongnu.org/download/openexr/%{name}-%{version}.tar.gz a2e56af78dc47c7294ff188c8f78394b
Patch0: %{name}-%{version}-zlib.patch
Patch1: %{name}-%{version}-forwardfriend.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: fltk-devel, zlib-devel, pkgconfig
BuildPreReq: autoconf, automake, libtool

%description
OpenEXR is an image file format and library developed by Industrial Light & Magic, and later released to the public. It provides support for high dynamic range and a 16-bit floating point "half" data type which is compatible with the half data type in the Cg programming language.

%package devel
Summary: Headers for developing programs that will use %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the static libraries and header files needed for
developing applications with OpenEXR.

%prep
%setup -q
%patch0 -p1 -b .zlib
%patch1 -p1 -b .forwardfriend

./bootstrap

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README*
%{_bindir}/*
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/OpenEXR
%{_libdir}/pkgconfig/OpenEXR.pc
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_datadir}/aclocal/openexr.m4 

%changelog
* Wed Jun 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-2m)
- import OpenEXR-1.2.2-zlib.patch from Fedora Core extras
 +* Sat Feb 18 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-7
 +- Further zlib fixes (#165729)

* Fri Mar 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-1m)
- initial package for koffice-1.5
- import OpenEXR-1.2.2-forwardfriend.patch from Fedora Extras
 +* Tue Aug 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-4
 +- Fixed build with GCC 4.0.1
